Returns the key of the current element

- « MongoDB\BSON\Iterator::current

- MongoDB\BSON\Iterator::next »

- PHP Manual
- MongoDB\BSON\Iterator
- Returns the key of the current element

# MongoDB\BSON\Iterator::key

(mongodb >=1.16.0)

MongoDB\BSON\Iterator::key — Returns the key of the current element

### Description

public MongoDB\BSON\Iterator::key(): string|int

### Parameters

This function has no parameters.

### Return Values

Returns the key of the current element. When iterating a BSON document, the key will always be a string. When iterating a BSON array, the key will be an int.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\LogicException if the iterator is not valid.

### See Also

- Iterator::key() - Return the key of the current element